# Contact Endpoint

This notification will be sent when a contact has been modified or created.

* Contact has been updated
* Contact has been created
* Contact has been deleted
* Contact Note has been updated
* Contact Note has been created
* Contact Note has been deleted

## Contact has been created.

### Subject

ContactAdded

### Body

```json
{
    "data": {... JSON Response from getContact API }
}
```

## Contact has been updated.

### Subject

ContactUpdated

### Body

```json
{
    "data": {... JSON Response from getContact API },
    "previousData": {... Previous Data in JSON which has been just updated }
}
```

## Contact has been deleted.

### Subject

ContactDeleted

### Body

```json
{
    "contactId": 123
}
```

## Contact Note has been created.

### Subject

ContactNoteAdded

### Body

```json
{
    "data": {... JSON Response from getContactNoteList API }
}
```

## Contact Note has been updated.

### Subject

ContactNoteUpdated

### Body

```json
{
    "data": {... JSON Response from getContactNoteList API },
    "previousData": {... Previous Data in JSON which has been just updated }
}
```

## Contact Note has been deleted.

### Subject

ContactNoteDeleted

### Body

```json
{
    "noteId": 123
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/notifications/contacts-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
